#include <pthread.h>
#include <qdialog.h>
#include "ui_dialog.h"
#include <gst/gst.h>

//#define USE_EVENT
//#define ENABLE_LOOP
class Dialog: public QDialog, private Ui::Dialog
{
    Q_OBJECT

    private:
    GstElement *pipeline;
    pthread_t gst_thread;

    public:
    Dialog(QWidget* parent=0); 
    void processGstMsg(GstMessage* message);
    void appendMsg(const QString msg){ this->textEdit->append(msg); }

    private slots:
    void on_gstLaunchButton_clicked();

    protected:
    #ifdef USE_EVENT
    bool event ( QEvent * event );
    #endif // USE_EVENT

};
